List outbound webhook deliveries
List outbound webhook deliveries with optional workflow filter and pagination
GET
/v1/outbound-webhook/deliveries
List outbound webhook deliveries with optional workflow filter and pagination
Query Parameters
workflowId
string
optional
query
Filter by workflow ID
limit
integer
optional
query
Max results per page (1-100)
offset
integer
optional
query
Pagination offset
Request Body
application/jsonResponses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
createdAt
string
durationMs
integer
errorMessage
string
id
string
maxRetries
integer
method
string
nextRetryAt
string
nodeId
string
organizationId
string
requestBody
object
requestHeaders
object
responseBody
string
responseHeaders
object
responseStatus
integer
retryCount
integer
runId
string
status
string
Enum:
pending, success, failure, retryingupdatedAt
string
url
string
workflowId
string
limit
integer
offset
integer
message
string
requestId
string
400
Bad Request
403
Forbidden
curl -X GET 'https://api.example.com/v1/outbound-webhook/deliveries' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/outbound-webhook/deliveries', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/outbound-webhook/deliveries', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("GET", "https://api.example.com/v1/outbound-webhook/deliveries", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "createdAt": "<string>", "durationMs": 123, "errorMessage": "<string>", "id": "<string>", "maxRetries": 123, "method": "<string>", "nextRetryAt": "<string>", "nodeId": "<string>", "organizationId": "<string>", "requestBody": "<object>", "requestHeaders": "<object>", "responseBody": "<string>", "responseHeaders": "<object>", "responseStatus": 123, "retryCount": 123, "runId": "<string>", "status": "pending", "updatedAt": "<string>", "url": "<string>", "workflowId": "<string>" } ], "limit": 123, "offset": 123 }, "message": "Success", "requestId": "req_abc123"}
API Playground
Try this endpoint
GET
/v1/outbound-webhook/deliveries
